import request from '@/utils/request'

export function listProductFlashSale(query) {
  return request({
    url: '/store/store/productFlashSale/list',
    method: 'get',
    params: query
  })
}

export function getProductFlashSale(id) {
  return request({
    url: '/store/store/productFlashSale/' + id,
    method: 'get'
  })
}

export function addProductFlashSale(data) {
  return request({
    url: '/store/store/productFlashSale',
    method: 'post',
    data: data
  })
}

export function updateProductFlashSale(data) {
  return request({
    url: '/store/store/productFlashSale',
    method: 'put',
    data: data
  })
}

export function delProductFlashSale(id) {
  return request({
    url: '/store/store/productFlashSale/' + id,
    method: 'delete'
  })
}
